package com.jeequan.jeepay.thirdparty.channel.lklsb2bpay.model;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * TODO
 * 拉卡拉交易卡类型枚举
 * @author crystal
 * @date 2023/6/7 10:19
 */
@Getter
@AllArgsConstructor
public enum LKlsb2bCardType {

    DEBIT("00","借记卡"),

    CREDIT("01","贷记卡"),

    BALANCE("02","零钱"),

    TOKIO("03","花呗"),

    ALI_OTHER("04","支付宝其他"),

    DECP("05","数字货币"),

    LKL_ACCOUNT("06","拉卡拉账户"),

    UNKNOWN("99","未知");

    private final String type;

    private final String desc;

    public static LKlsb2bCardType getVal(String type){
        LKlsb2bCardType[] values = values();
        for (LKlsb2bCardType val:values) {
            if(val.getType().equals(type)){
                return val;
            }
        }
        return UNKNOWN;
    }
}
